Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157825 - [PATCH] Indic languages's Rendering is incorrect
Summary: [PATCH] Indic languages's Rendering is incorrect
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yelp
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Blocker
TreeView+ depends on / blocked
 
Reported: 2005-05-16 10:24 UTC by A S Alam
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-06 15:24:22 UTC


Attachments (Terms of Use)
patch for yelp.spec (deleted)
2006-09-06 07:58 UTC, Akira TAGOH
no flags Details | Diff

Description A S Alam 2005-05-16 10:24:27 UTC
Description of problem:
after login Language Envirnoment, Open Yelp,


Version-Release number of selected component (if applicable):
2.9.3

How reproducible:
everytime

Steps to Reproduce:
1.Alt+F2
2.type yelp
3.
  
Actual results:
Rendering for Punjabi is incorrect

Expected results:
Rendering should be correct

Additional info:
1) Interface is in English, although, /usr/share/locale/pa/LC_MESSAGES/yelp.mo
file is present
2) Rendering is Like Mozilla before MOG_ENABLE_PANGO varible

Comment 2 A S Alam 2005-06-30 03:37:06 UTC
I confirmed this problem at FC4.

Comment 3 A S Alam 2005-09-10 12:20:01 UTC
for latest update yelp-2.12.0, rendering is still incorrect!

Comment 4 A S Alam 2006-08-04 05:02:20 UTC
problme exist for all Indic locales with following version in Fedora Core Rawhide:
yelp-2.15.5-1

Comment 5 Akira TAGOH 2006-08-28 05:31:51 UTC
invoking yelp with MOZ_ENABLE_PANGO=1 would help in this case. so making an
wrapper script may be easier way to solve this issue?

Comment 6 Christopher Aillon 2006-08-29 03:15:47 UTC
(In reply to comment #5)
> invoking yelp with MOZ_ENABLE_PANGO=1 would help in this case. so making an
> wrapper script may be easier way to solve this issue?

Pango is now on by default, so that should not do anything at all.  The only
environment variable that is taken now by gecko-based browsers in rawhide is
MOZ_DISABLE_PANGO.  If that is set in the environment, then pango will obviously
be disabled.  Is it possible that this is lingering in a .bashrc file or something?


Comment 7 Akira TAGOH 2006-08-29 08:58:05 UTC
Ok, found it. it was yelp fault and in src/yelp-main.c:

                /* workaround for bug #329461 */
                env = g_getenv ("MOZ_ENABLE_PANGO");

                if (env == NULL ||
                    *env == '\0' ||
                    g_str_equal(env, "0"))
                        {
                                g_setenv ("MOZ_DISABLE_PANGO", "1", TRUE);
                        }

I'm not sure if that problem still happens on the latest GtkMozEmbed though (at
least it looks good after some testing). if that's ok, can we just get rid of
the above code? if not, we need to turn it on for only Indic.



Comment 8 Matthias Clasen 2006-08-29 12:20:10 UTC
hmm, according to the mentioned bug, epiphany has the same code to turn off
pango rendering. We need to verify if the problem still exists, and if so,
fix it before removing the hack from both.

Comment 9 Matthias Clasen 2006-08-29 20:00:33 UTC
I have turned on pango by default in yelp and epiphany now.

Comment 10 Akira TAGOH 2006-09-05 04:18:16 UTC
patch wasn't applied it seems ;)

Comment 11 Matthias Clasen 2006-09-05 13:47:43 UTC
Patch is definitively applied in the current rawhide package.

What problems are you seeing ?

Comment 12 A S Alam 2006-09-06 06:11:38 UTC
it is not working with latest Rawhide, tested  with following package:
yelp-2.16.0-1.fc6
Additional Information:

MOZ_ENABLE_PANGO=1 yelp
working fine

Comment 13 Akira TAGOH 2006-09-06 07:58:35 UTC
Created attachment 135635 [details]
patch for yelp.spec

(In reply to comment #11)
> Patch is definitively applied in the current rawhide package.
> 
> What problems are you seeing ?

Or you may forgot to commit your changes on your working repository to the
server perhaps. I've attached a patch to the latest revision of yelp.spec
anyway.

Comment 14 Matthias Clasen 2006-09-06 15:19:57 UTC
gah, I looked at the epiphany spec...

Comment 15 Matthias Clasen 2006-09-06 15:24:22 UTC
should be fixed in 2.16.0-2.fc6


Note You need to log in before you can comment on or make changes to this bug.